Skip to navigation

Create SSO connection

View as Markdown

Creates a SSO connection and returns it with its server-assigned id and version.

Send the fields at the top level of the body. Don’t send id or version.num; version.change_description is required.

Authentication

AuthorizationBearer

JWT bearer token authentication. Include the Configuration API key in the Authorization header as ‘Bearer <token>’.

Request

This endpoint expects an object.
productenumRequired

Moveworks product this SSO configuration is for: my_moveworks or embedded_ai_assistant. Cannot be changed after creation.

Allowed values:
versionobjectRequired
Document version. On update, send back the num from your last read.
connector_idstringOptional

Connector for your identity provider, such as Okta, Microsoft Entra ID or Ping. ID of an existing connector (GET /configurations/v1alpha1/platform/connectors).

identifier_typestringOptional

Type of identifier used to match users at login: EMAIL_ADDR, ITSM_USER_ID or IDM_USER_ID.

user_attributestringOptional
User attribute that uniquely identifies the user in the identity provider.
saml_configobjectOptional
Settings for logging in with SAML.
oidc_configobjectOptional

Settings for logging in with OpenID Connect (OIDC).

Response

The created SSO connection
idstringOptionalRead-only
Unique identifier of the SSO configuration, assigned by the server.
productenumOptional

Moveworks product this SSO configuration is for: my_moveworks or embedded_ai_assistant. Cannot be changed after creation.

Allowed values:
connector_idstringOptional

Connector for your identity provider, such as Okta, Microsoft Entra ID or Ping. ID of an existing connector (GET /configurations/v1alpha1/platform/connectors).

identifier_typestringOptional

Type of identifier used to match users at login: EMAIL_ADDR, ITSM_USER_ID or IDM_USER_ID.

user_attributestringOptional
User attribute that uniquely identifies the user in the identity provider.
saml_configobjectOptional
Settings for logging in with SAML.
oidc_configobjectOptional

Settings for logging in with OpenID Connect (OIDC).

updated_timedatetimeOptionalRead-only
When the configuration was last updated.
updated_bystringOptionalRead-only
Who last updated the configuration.
versionobjectOptional
Document version. On update, send back the num from your last read.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error